$(function () {
    $("#jqGrid").jqGrid({
        url: '../mkdist/list',
        datatype: "json",
        colModel: [
			{label: 'distId', name: 'distId', index: 'dist_id', key: true, hidden: true},
			{label: '分销商名称', name: 'distName', index: 'dist_name', width: 80},
			{label: '分销商英文名', name: 'distEname', index: 'dist_ename', width: 80},
			{label: '分销商标识', name: 'distFlag', index: 'dist_flag', width: 80},
			{label: '所属三方商户', name: 'thirdPartyMerchName', index: 'thirdPartyMerchName', width: 80},
            {label: '所属门店', name: 'storeName', index: 'storeName', width: 80},
			{label: '所属供应商', name: 'childSupplierName', index: 'childSupplierName', width: 80},
			{label: '排序', name: 'sortOrder', index: 'sort_order', width: 80},
            {label: '是否有效', name: 'isValid', index: 'is_valid', width: 80, align: 'center',
                formatter: function (value) {
                    if (value == '0') {
                        return '有效';
                    } else if (value == '1') {
                        return '无效';
                    }
                    return '';
                }},
			{label: '备注', name: 'note', index: 'note', width: 80},
			{label: '创建人编号', name: 'createrSn', index: 'creater_sn', width: 80},
			{label: '创建时间', name: 'createTime', index: 'create_time', width: 80,
                formatter: function (value) {
                    return transDate(value, 'yyyy-MM-dd hh:mm:ss');
                }},
			{label: '修改人编号', name: 'moderSn', index: 'moder_sn', width: 80},
			{label: '修改时间', name: 'modTime', index: 'mod_time', width: 80,
                formatter: function (value) {
                    return transDate(value, 'yyyy-MM-dd hh:mm:ss');
                }}],
		viewrecords: true,
        height: 385,
        rowNum: 10,
        rowList: [10, 30, 50],
        rownumbers: true,
        rownumWidth: 25,
        autowidth: true,
        multiselect: true,
        pager: "#jqGridPager",
        jsonReader: {
            root: "page.list",
            page: "page.currPage",
            total: "page.totalPage",
            records: "page.totalCount"
        },
        prmNames: {
            page: "page",
            rows: "limit",
            order: "order"
        },
        gridComplete: function () {
            $("#jqGrid").closest(".ui-jqgrid-bdiv").css({"overflow-x": "hidden"});
        }
    });
});

let vm = new Vue({
	el: '#rrapp',
	data: {
        showList: true,
        title: null,
		mkDist: {},
		ruleValidate: {
			name: [
				{required: true, message: '名称不能为空', trigger: 'blur'}
			]
		},
		q: {
            distName: ''
		},
        suppliers: [],
        thirdMerchantBizList: [],
        storeList:[]
	},
	methods: {
		query: function () {
			vm.reload();
		},
		add: function () {
			vm.showList = false;
			vm.title = "新增";
            vm.thirdMerchantBizList = [];
            vm.suppliers = [];
            vm.storeList = [];
			vm.mkDist = {isValid:0};
			vm.getThirdMerchantBizList();
		},
		update: function (event) {
            let distId = getSelectedRow();
			if (distId == null) {
				return;
			}
			vm.showList = false;
            vm.title = "修改";

            vm.getThirdMerchantBizList();
            vm.getInfo(distId)
		},
		saveOrUpdate: function (event) {
            let url = vm.mkDist.distId == null ? "../mkdist/save" : "../mkdist/update";
			$.ajax({
				type: "POST",
			    url: url,
			    contentType: "application/json",
			    data: JSON.stringify(vm.mkDist),
                success: function (r) {
                    if (r.code === 0) {
                        alert('操作成功', function (index) {
                            vm.reload();
                        });
                    } else {
                        alert(r.msg);
                    }
                }
			});
		},
		del: function (event) {
            let distIds = getSelectedRows();
			if (distIds == null){
				return;
			}

			confirm('确定要删除选中的记录？', function () {
				$.ajax({
					type: "POST",
				    url: "../mkdist/delete",
				    contentType: "application/json",
				    data: JSON.stringify(distIds),
				    success: function (r) {
						if (r.code == 0) {
							alert('操作成功', function (index) {
								$("#jqGrid").trigger("reloadGrid");
							});
						} else {
							alert(r.msg);
						}
					}
				});
			});
		},
		getInfo: function(distId){
			$.get("../mkdist/info/"+distId, function (r) {
                vm.mkDist = r.mkDist;
            });
		},
        getThirdMerchantBizList: function() {
            $.get("../thirdmerchantbiz/queryAll", function (r) {
                vm.thirdMerchantBizList = r.list;
            });
        },
        showSupplier: function (thirdMerchSn) {
            vm.getStoreList(thirdMerchSn);
            $.get("../supplier/queryAll?thirdMerchSn=" + thirdMerchSn, function (r) {
                vm.suppliers = r.list;
            });
        },
        getStoreList: function(thirdMerchSn){
            $.get("../store/queryAll?thirdMerchSn=" + thirdMerchSn, function (r) {
                vm.storeList = r.list;
            });
        },
        showStockShare:function(opt){
            var thirdMerchantCode = opt.value;
            vm.getSuppliers(thirdMerchantCode);
        },
        reloadSearch: function() {
            vm.q = {
                distName: ''
            }
            vm.reload();
		},
		reload: function (event) {
			vm.showList = true;
            let page = $("#jqGrid").jqGrid('getGridParam', 'page');
			$("#jqGrid").jqGrid('setGridParam', {
                postData: {'distName': vm.q.distName},
                page: page
            }).trigger("reloadGrid");
            vm.handleReset('formValidate');
		},
        handleSubmit: function (name) {
            handleSubmitValidate(this, name, function () {
                vm.saveOrUpdate()
            });
        },
        handleReset: function (name) {
            handleResetForm(this, name);
        }
	}
});